//---------------------------------------------------------------//
// Styles de base pour le formulaire de connexion
//---------------------------------------------------------------//

section.login-container {
  display: flex;

  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;


  h2 {
    color: $color-title-dark;
  }
}

section.login-container > div {
  width: 450px;

  margin: auto;
  padding: 20px;

  text-align: center;

  background: $gray-200;

  border: 1px solid $gray-700;
  border-radius: 5px;
}


// Éléments à l'intérieur du formulaire

section.login-container form {
  display: flex;
  flex-direction: column;
}


form input[type="password"],
form input[type="text"],
form button[type="submit"] {
  width: 100%;

  margin-bottom: 32px;
  padding: 16px;

  color: $black;

  border: 1px solid $gray-200;
  border-radius: 5px;

  outline: 0;
}


// Survol et focus des champs de saisie de texte

form button[type="submit"]:hover {
  background-color: $background-input-focus;

  -webkit-transform: translate3d(10px, 0px, 0px);
  transform: translate3d(10px, 0px, 0px);

  opacity: 1;
}

form input[type="text"]:focus,
form input[type="text"]:hover,
form input[type="password"]:focus,
form input[type="password"]:hover {
  background-color: $background-input-focus;
}

form input[type="password"]:active,
form button[type="submit"]:active {
  -webkit-transform: translate3d(14px, 0px, 0px);
  transform: translate3d(14px, 0px, 0px);
}


// Mise en forme du bouton pour l'envoi du formulaire

form button.buttonconnexion {
  font-weight: bold;

  background-color: $base-button-background-submit-color;
  color: $color-text-normal;

  text-transform: uppercase;
}


// Mise en forme du bouton pour l'envoi du formulaire au survol et au focus

button.buttonconnexion[type="submit"]:focus {
  background-color: $base-button-background-submit-color;
}






























